package p.packer.messages;

import java.util.Objects;

public record ListAssetsRequest(
        PackerProjectContext project,
        boolean deepSync) {

    public ListAssetsRequest {
        Objects.requireNonNull(project, "project");
    }

    public ListAssetsRequest(PackerProjectContext project) {
        this(project, false);
    }
}
